%global debug_package %{nil}
%global gituser TypesettingTools
%global gitname Aegisub

Name:           aegisub
Version:        3.4.2
Release:        2%{?dist}
Summary:        Tool for creating and modifying subtitles
License:        BSD and MIT and MPLv1.1
URL:            https://github.com/%{gituser}/%{gitname}
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  gmock-devel
BuildRequires:  gtest-devel
BuildRequires:  meson
BuildRequires:  alsa-lib-devel
BuildRequires:  boost-devel
# To be enabled
# BuildRequires:  cajun-jsonapi-devel
BuildRequires:  ffms2-devel
BuildRequires:  fftw-devel
BuildRequires:  hunspell-devel
BuildRequires:  libappstream-glib
BuildRequires:  libass-devel
BuildRequires:  libcurl-devel
BuildRequires:  libICE-devel
BuildRequires:  libX11-devel
BuildRequires:  lua-devel
BuildRequires:  luajit-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  openal-soft-devel
BuildRequires:  portaudio-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  uchardet-devel
BuildRequires:  wxGTK-devel
BuildRequires:  zlib-devel
BuildRequires:  devscripts

# needed for the perl script downloading the additional documentation from wiki
# for offline reading
Requires:       /usr/bin/perl perl(strict) perl(HTML::LinkExtor) perl(LWP) perl(File::Path) perl(utf8) perl(URI) perl(warnings)
Requires:       hicolor-icon-theme

%description
Aegisub is a free, cross-platform open source tool for creating and
modifying subtitles. Aegisub makes it quick and easy to time
subtitles to audio, and features many powerful tools for styling them,
including a built-in real-time video preview.

%prep
%autosetup -p1 -n %{gitname}-%{version}

# fix running under wayland
sed -i 's|^Exec=|Exec=env GDK_BACKEND=x11 |' packages/desktop/aegisub.desktop.in.in

cat > git_version.h << EOF
#define BUILD_GIT_VERSION_NUMBER 342
#define BUILD_GIT_VERSION_STRING "3.4.2"
#define TAGGED_RELEASE 0
#define INSTALLER_VERSION "0.0.0"
#define RESOURCE_BASE_VERSION 0, 0, 0
EOF

%build
%meson -Denable_update_checker=false
%meson_build

%install
%meson_install
hardening-check -v --nobranchprotection %{buildroot}%{_bindir}/%{name}

desktop-file-validate %{buildroot}/%{_datadir}/applications/org.aegisub.Aegisub.desktop
appstream-util validate-relax --nonet %{buildroot}/%{_metainfodir}/org.aegisub.Aegisub.metainfo.xml
%find_lang %{name}

%files -f %{name}.lang
%license LICENCE
%doc docs/*
%{_bindir}/%{name}*
%{_datadir}/%{name}/
%{_datadir}/applications/org.aegisub.Aegisub.desktop
%{_datadir}/icons/hicolor/*/apps/org.aegisub.Aegisub.*
%{_metainfodir}/org.aegisub.Aegisub.metainfo.xml

%changelog
* Fri Jan 17 2025 samoht0 <https://copr.fedorainfracloud.org/coprs/samoht0/> 3.4.2
- update 3.4.2
- spec update
